import request from '@/utils/request'

export default {
    //主页分页查询
    responsibilityList(data) {
        return request({
            url: '/advance-boot/responsibility/responsibilityList',
            method: 'post',
            data,
        })
    },
    //列表分页
    userDataList(data) {
        return request({
            url: '/advance-boot/responsibility/userDataList',
            method: 'post',
            data,
        })
    },
    //用采完整性不足列表
    userDataIntegrityList(data) {
        return request({
            url: '/advance-boot/responsibility/userDataIntegrityList',
            method: 'post',
            data,
        })
    },
    //获取谐波历史数据
    getHistoryHarmData(data) {
        return request({
            url: '/harmonic-boot/harmonic/getHistoryHarmData',
            method: 'post',
            data,
        })
    },
    //动态谐波责任划分
    getDynamicData(data) {
        return request({
            url: '/advance-boot/responsibility/getDynamicData',
            method: 'post',
            data,
        })
    },
    //二次计算责任划分
    getResponsibilityData(data) {
        return request({
            url: '/advance-boot/responsibility/getResponsibilityData',
            method: 'post',
            data,
        })
    },
    //删除责任划分数据
    deleteByIds(data) {
        return request({
            url: '/advance-boot/responsibility/deleteByIds',
            method: 'post',
            data,
        })
    },
    //上传用采数据
    uploadUserData(data) {
        return request({
            url: '/advance-boot/responsibility/uploadUserData',
            method: 'post',
            headers: { 'Content-Type': 'multipart/form-data' },
            data,
        })
    },
    //删除用采数据
    deleteUserDataByIds(data) {
        return request({
            url: '/advance-boot/responsibility/deleteUserDataByIds',
            method: 'post',
            data,
        })
    },
    //回显历史责任划分结果
    displayHistoryData(data) {
        return request({
            url: '/advance-boot/responsibility/displayHistoryData',
            method: 'get',
            params:data,
        })
    },
    //用采数据下拉
    userDataSelect() {
        return request({
            url: '/advance-boot/responsibility/userDataSelect',
            method: 'get',
        })
    },
}